extends Label

const CHAR_DATA = {
	constants.MISC : ["", Color(0.643959, 0.644531, 0.571518)],
	constants.DEAN : ["THE DEAN: ", Color(0, 0.301544, 0.941406)],
	constants.JOSHUA : ["JOSHUA: ", Color(0.866415, 0.871094, 0.272217)]
}

export var character = constants.MISC
export var subtitle_text = "Time for your transcript, doctor freeman"


func _ready():
	text = CHAR_DATA[character][0] + subtitle_text
	add_color_override("font_color", CHAR_DATA[character][1])


func _on_Timer_timeout():
	$AnimationPlayer.play("fade out")


func _on_AnimationPlayer_animation_finished(anim_name):
	if anim_name == "fade out":
		queue_free()
